package org.objectweb.jonathan.libs.kernel.decoders;

import junit.framework.*;

/**
 * Jonathan Test Suite
 */
public class Tests {

    public static void main (String[] args) {
	junit.textui.TestRunner.run (suite());
    }
    public static Test suite ( ) {
	TestSuite suite= new TestSuite("decoders");
	suite.addTest(new TestSuite(OpenXMLDecoderTest.class));
	suite.addTest(new TestSuite(XMLIncludeDecoderTest.class));
	suite.addTest(new TestSuite(ImplicitFactoriesTest.class));
	suite.addTest(new TestSuite(SequenceTest.class));
	suite.addTest(new TestSuite(CompiledSequenceTest.class));
	suite.addTest(new TestSuite(SetterTest.class));
	suite.addTest(new TestSuite(AtomTest.class));
	suite.addTest(new TestSuite(AssemblageTest.class));
	suite.addTest(new TestSuite(AbstractFactoryTest.class));
	return suite;
    }
}
